Doomsday Engine - Feature #1387

Use GL_POINT_SPRITE_ARB for tex particle rendering
2005-09-03 22:21 - danij

Status: Rejected Start date: 2005-09-03
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

GL_POINT_SPRITE_ARB

Use of this extension should yield a significant speed

boost when rendering lots of textured particles.

Instead of passing for vertices a single can be sent.

The GPU then takes care of the scaling and view aligning.

Labels: Graphics

Related issues:

Related to Feature #7: Next-gen renderer (codename "Gloom") Progressed 2003-07-10

History

#1 - 2013-10-21 20:48 - skyjake
- Tags set to Renderer, OpenGL

#2 - 2013-10-21 20:52 - skyjake
- Tags changed from Renderer, OpenGL to Renderer, OpenGL, Particles

#3 - 2015-03-07 09:23 - danij

- Status changed from New to Rejected

Closing as nowadays there are better algorithms for drawing particles.
